Author Topic: [SOLVED] 500 HTTP error (Internal Server Error) during 2.0.3 ext_aio install  (Read 6730 times)

TechnoMage

  • Beginner
  • *
  • Posts: 31
Hey,

I am getting an internal server error during the install attempt of the VM 2.0.3 ext_aio under Joomla 1.5.25.

The VM 2.0.2 ext_aio installs without problems.

I have tested with the following aios: VM 2.0.3.E, VM 2.0.3.d, VM 2.0.3.

All have the same error.

Cya

JaumeQuerS

  • Beginner
  • *
  • Posts: 14
Re: 500 HTTP error (Internal Server Error) during 2.0.3 ext_aio install
« Reply #1 on: March 20, 2012, 19:14:29 pm »
Probably is MAX_EXECUTION_TIME in PHP.ini or other limit similar (MAX_UPLOAD... ).

TechnoMage

  • Beginner
  • *
  • Posts: 31
Re: 500 HTTP error (Internal Server Error) during 2.0.3 ext_aio install
« Reply #2 on: March 20, 2012, 21:50:06 pm »
Hey,

I have the following settings on the server: max_execution_time 900 and memory_limit 164M.
I am also installing that from the tmp folder so I do not think so that it has something to do with the max_upload etc. settings. Is it working for you under Joomla 1.5.25?

Cu

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 9973
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: 500 HTTP error (Internal Server Error) during 2.0.3 ext_aio install
« Reply #3 on: March 20, 2012, 23:26:55 pm »
and the error?
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

TechnoMage

  • Beginner
  • *
  • Posts: 31
Re: 500 HTTP error (Internal Server Error) during 2.0.3 ext_aio install
« Reply #4 on: March 21, 2012, 14:16:42 pm »
Oh sorry, to be honest I had too look after on my ISP how to turn display_errors on.

com_virtuemart.2.0.3.E_ext_aio -> Fatal error: Class 'plgSearchVirtuemart' not found in /var/www/topp/data/www/meseteszt.topp.hu/administrator/components/com_virtuemart_allinone/script.vmallinone.php on line 307

com_virtuemart.2.0.3.d_ext_aio -> Fatal error: Class 'plgSearchVirtuemart' not found in /var/www/topp/data/www/meseteszt.topp.hu/administrator/components/com_virtuemart_allinone/script.vmallinone.php on line 307

com_virtuemart.2.0.3_ext_aio -> Fatal error: Call to a member function registerEvent() on a non-object in /var/www/topp/data/www/meseteszt.topp.hu/plugins/search/virtuemart.php on line 18

I hope it helps :)

Cya

PawelB

  • Beginner
  • *
  • Posts: 12
    • StudioBurda.com
I see this topic is marked "solved" but can't find any solution. I have similar problem - VM 2.0.2 with Joomla 2.5.3. I installed aio with no problem, and when I trying to install VM itself - getting Internal Server Error :(

I've tried 1) automatic installation, 2) unpacking on server and installing from there... Can't find any manual how to install it manually on Joomla 2.5.

Any sugestions...?

rkneip

  • Beginner
  • *
  • Posts: 5
There is most certainly an issue with the search plugin I am working it right now. Unistalling it has to be done manually as it throws manifest errors. It screwed up my ajax search throwing a 500 when I click on advanced search. Ill post what I found when and if I fix it but for now disable or remove the Vm_search plug that comes with the 2.0.x AIO comp

rkneip

  • Beginner
  • *
  • Posts: 5
This method seems to have worked for me.....http://www.ostraining.com/blog/joomla/virtuemart-11-to-version-2/

Follow it step by step affording for personal configuration of course as I said it worked here. Just keep checking your site functionality after each step...Hope it helps  8)

rkneip

  • Beginner
  • *
  • Posts: 5
The best selling and featured products modules that ship with the 2.0.2 AIO package cause Encryption error failures in the front end of my site. I have disabled them all is fine. Waiting for the next AIO release perhaps better liuck. I hear there is a 2.0.3 AIO release out I cant find it. Anyone have it?

rkneip

  • Beginner
  • *
  • Posts: 5
And so the best I can tell is if you are not running 1.19 first you must upgrade to it or intall it if this a fresh install as per the doc I put in my last post. It looks like 2.0.x can not be loaded as a fresh install only an upgrade. Do not uninstall your previous version just rename the com_community folder to something else and install 2.0.2 without touching the DB prior either. Once it loads use the migration function to migrate all as per the document. Dont go Near that damn VM Search plugin that loads with the install disable it right away and all that nasty 500 stuff goes away. The AIO is another story however as per my last post enable those things one at a time. I found a replacement search plug that works like a charm you can download it here.

Perhaps this really is solved! Though I doubt it. But its getting there......

[attachment cleanup by admin]